@echo off
echo.
echo Print Artist MOVEPA utility - moves Print Artist documents and
echo graphics from older versions of Instant Artist or Print Artist into
echo Print Artist 3.0.  This operation will remove the contents of the
echo source directory.
echo.
set WHAT=%1
:DOSCREEN
if (%what%^a)==(^a) goto NODICE
if EXIST %what%\*.sgn goto DOIT
if EXIST %what%\*.bc  goto DOIT
if EXIST %what%\*.lth goto DOIT
if EXIST %what%\*.cer goto DOIT
if EXIST %what%\*.gc  goto DOIT
if EXIST %what%\*.ban goto DOIT
if EXIST %what%\*.pc  goto DOIT
if EXIST %what%\*.env goto DOIT
if EXIST %what%\*.cal goto DOIT
if EXIST %what%\*.crf goto DOIT
if EXIST %what%\*.gfx goto DOIT
if EXIST %what%\*.pcx goto DOIT
if EXIST %what%\*.bmp goto DOIT
if EXIST %what%\*.tif goto DOIT
if EXIST %what%\*.jpg goto DOIT
if EXIST %what%\*.pcd goto DOIT
if EXIST %what%\*.eps goto DOIT
:NODICE
echo The MOVEPA utility did not find any Print Artist documents or graphics
echo in %what%.
echo.
echo Enter the path of your older version of Instant Artist or Print Artist.
echo Usually, this is C:\PA, D:\PA or C:\WINIART.
echo.
what S "Path containing old documents and graphics: "
echo.
if (%what%^a)==(^a) goto DONE
goto DOSCREEN
:DOIT
echo Moving old documents and graphics from %what% to Print Artist 3.0...


if EXIST %what%\*.fnt .\pixcopy /E /U %what%\*.fnt ..\PA
if EXIST %what%\*.lay .\pixcopy /E /U %what%\*.lay ..\PA
if EXIST %what%\*.gfx .\pixcopy /E /U %what%\*.gfx ..\PA
if EXIST %what%\*.lys .\pixcopy /E /U %what%\*.lys ..\PA
if EXIST %what%\*.sgn .\pixcopy /E /U %what%\*.sgn ..\PA
if EXIST %what%\*.bc  .\pixcopy /E /U %what%\*.bc  ..\PA
if EXIST %what%\*.lth .\pixcopy /E /U %what%\*.lth ..\PA
if EXIST %what%\*.cer .\pixcopy /E /U %what%\*.cer ..\PA
if EXIST %what%\*.gc  .\pixcopy /E /U %what%\*.gc  ..\PA
if EXIST %what%\*.ban .\pixcopy /E /U %what%\*.ban ..\PA
if EXIST %what%\*.pc  .\pixcopy /E /U %what%\*.pc  ..\PA
if EXIST %what%\*.env .\pixcopy /E /U %what%\*.env ..\PA
if EXIST %what%\*.cal .\pixcopy /E /U %what%\*.cal ..\PA
if EXIST %what%\*.crf .\pixcopy /E /U %what%\*.crf ..\PA
if EXIST %what%\*.pcx .\pixcopy /E /U %what%\*.pcx ..\PA
if EXIST %what%\*.bmp .\pixcopy /E /U %what%\*.bmp ..\PA
if EXIST %what%\*.tif .\pixcopy /E /U %what%\*.tif ..\PA
if EXIST %what%\*.jpg .\pixcopy /E /U %what%\*.jpg ..\PA
if EXIST %what%\*.pcd .\pixcopy /E /U %what%\*.pcd ..\PA
if EXIST %what%\*.eps .\pixcopy /E /U %what%\*.eps ..\PA
if EXIST %what%\*.dll del %what%\*.dll
if EXIST %what%\*.exe del %what%\*.exe
if EXIST %what%\*.hlp del %what%\*.hlp
if EXIST %what%\*.pkw del %what%\*.pkw
if EXIST %what%\*.qot del %what%\*.qot
if EXIST %what%\*.txt del %what%\*.txt
if EXIST %what%\*.wri del %what%\*.wri
if EXIST %what%\*.fnt del %what%\*.fnt
if EXIST %what%\*.lay del %what%\*.lay
if EXIST %what%\*.gfx del %what%\*.gfx
if EXIST %what%\*.lys del %what%\*.lys
if EXIST %what%\*.sgn del %what%\*.sgn
if EXIST %what%\*.bc  del %what%\*.bc
if EXIST %what%\*.lth del %what%\*.lth
if EXIST %what%\*.cer del %what%\*.cer
if EXIST %what%\*.gc  del %what%\*.gc
if EXIST %what%\*.ban del %what%\*.ban
if EXIST %what%\*.pc  del %what%\*.pc
if EXIST %what%\*.env del %what%\*.env
if EXIST %what%\*.cal del %what%\*.cal
if EXIST %what%\*.crf del %what%\*.crf
if EXIST %what%\*.pcx del %what%\*.pcx
if EXIST %what%\*.bmp del %what%\*.bmp
if EXIST %what%\*.tif del %what%\*.tif
if EXIST %what%\*.jpg del %what%\*.jpg
if EXIST %what%\*.pcd del %what%\*.pcd
if EXIST %what%\*.eps del %what%\*.eps
if EXIST .\pabonus.gfx del .\pabonus.gfx

echo.
echo Finished moving old documents and graphics.  The older installation
echo of Instant Artist or Print Artist in %what% has been deleted.
echo.
:DONE
echo [[[ Close this window when you have finished reading the text. ]]]
echo.
